Package com.orchestranetworks.userservice

# Interface UserServiceObjectContextForInputValidation

All Superinterfaces:
  `UserServiceObjectContext`

All Known Subinterfaces:
  `UserServiceEventContext`, `UserServiceProcessEventOutcomeContext<S>`, `UserServiceSetupDisplayContext<S>`, `UserServiceValidateContext<S>`

public interface UserServiceObjectContextForInputValidation extends UserServiceObjectContext
This interface provides methods to access or update objects registered for the user service.

Since:
  5.8.0
See Also:
  - `UserServiceObjectContextBuilder`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addError(String aMessage)`
  Adds the specified error message.
  `void`
  `addInfo(String aMessage)`
  Adds the specified information message.
  `void`
  `addMessage(UserMessage aMessage)`
  Adds a message that will be displayed in the standard message pane of the user interface using same severity as `aMessage.getSeverity()`.
  `void`
  `addWarning(String aMessage)`
  Adds the specified warning message.
  `ValueContextForInputValidation`
  `getValueContext(ObjectKey anObjectKey)`
  Returns the value context for object `ObjectKey`.
  `ValueContextForInputValidation`
  `getValueContext(ObjectKey anObjectKey, Path aPath)`
  Returns the value context for object `ObjectKey` and path `aPath`.

  ### Methods inherited from interface com.orchestranetworks.userservice.UserServiceObjectContext

  `getPermission, isDataDeleted`

- ## Method Details

  - ### addMessage

    void addMessage(UserMessage aMessage)
    Adds a message that will be displayed in the standard message pane of the user interface using same severity as `aMessage.getSeverity()`.
    Parameters:
      `aMessage` - the message.

  - ### addError

    void addError(String aMessage)
    Adds the specified error message.
    Parameters:
      `aMessage` - the message.
    See Also:
      - `addMessage(UserMessage)`

  - ### addWarning

    void addWarning(String aMessage)
    Adds the specified warning message.
    Parameters:
      `aMessage` - the message.
    See Also:
      - `addMessage(UserMessage)`

  - ### addInfo

    void addInfo(String aMessage)
    Adds the specified information message.
    Parameters:
      `aMessage` - the message.
    See Also:
      - `addMessage(UserMessage)`

  - ### getValueContext

    ValueContextForInputValidation getValueContext(ObjectKey anObjectKey)
    Returns the value context for object `ObjectKey`.

    This method returns the same result as `getValueContext(ObjectKey anObjectKey, Path.ROOT)`.

    Specified by:
      `getValueContext` in interface `UserServiceObjectContext`
    Parameters:
      `anObjectKey` - the key of the object in the object context.
    Returns:
      The value context.
    Throws:
      `RuntimeException` - if `anObjectKey` is invalid.

  - ### getValueContext

    ValueContextForInputValidation getValueContext(ObjectKey anObjectKey, Path aPath)
    Returns the value context for object `ObjectKey` and path `aPath`.
    Specified by:
      `getValueContext` in interface `UserServiceObjectContext`
    Parameters:
      `anObjectKey` - the key of the object in the object context.
      `aPath` - a path to an attribute of the object.
    Returns:
      The value context.
    Throws:
      `RuntimeException` - if either `anObjectKey` or `aPath` are invalid.